Skip to main content
GET
/
environments
/
{environmentId}
/
exports
/
{exportId}
Get an export using the ID
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/exports/{exportId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "format": "csv",
  "createdAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "downloadUrl": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

exportId
string
required

ID of the export

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Successfully retrieved an export and its current state

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

format
enum<string>
required
Available options:
csv
model
enum<string>
required
Available options:
users,
visits
status
enum<string>
required
Available options:
completed,
failed,
pending
createdAt
string<date-time>
required

ISO 8601 timestamp of when the export was requested

startedAt
string<date-time> | null

ISO 8601 timestamp of when the export processing began

completedAt
string<date-time> | null

ISO 8601 timestamp of when the export finished processing

downloadUrl
string<url>

Pre-signed URL to download the exported file (available after completion)

error
string

When defined, this is the error message and stack trace received when attempting to process the export.

Last modified on January 21, 2026